Oauth Callback - SuperAI Flows

Oauth Callback

cURL

curl --request GET \
  --url https://flows.super.ai/api/plugins/{plugin_name}/{provider_name}/oauth/callback \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://flows.super.ai/api/plugins/{plugin_name}/{provider_name}/oauth/callback"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/plugins/{plugin_name}/{provider_name}/oauth/callback', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Error Response

422
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Header Type Required Description
X-API-Key string Yes API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Authorization string Yes JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN

Example Headers

X-API-Key: saf_1234567890
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Path Parameters

Name Type Required Description
plugin_name string Yes The name of the plugin.
provider_name string Yes The name of the provider.

Query Parameters

Name Type Description
code string  null
state string  null
error string  null

Response

Status Code Content Type Description
200 application/json Successful Response